Name:          spatial4j
Version:       0.5.0
Release:       %mkrel 4
Group:         Development/Java
Summary:       A Geospatial Library for Java
License:       ASL 2.0
URL:           https://github.com/locationtech/spatial4j
Source0:       https://github.com/spatial4j/spatial4j/archive/%{name}-0.5.tar.gz

BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.noggit:noggit)
BuildRequires: mvn(org.jacoco:jacoco-maven-plugin)

# test deps
%if 0
BuildRequires: mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-simple)
%endif
BuildRequires: maven-local

BuildArch:     noarch

%description
Spatial4j is a general purpose spatial/geospatial Java library.
It's core capabilities are 3-fold: to provide common geospatially-aware shapes,
to provide distance calculations and other math, and to read and write the
shapes to strings.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-0.5

# unavailable mvn plugin
%pom_remove_plugin de.thetaphi:forbiddenapis

# the attach-sources execution breaks OSGi manifest generation
%pom_remove_plugin :maven-jar-plugin

%mvn_file : %{name}

%build

# Test skipped for unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 0.5.0-4.mga6
+ Revision: 1007696
- Remove jar-plugin execution to fix manifest generation

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.5.0-2.mga6
+ Revision: 978184
- First rebuild of the java stack
- sync package spatial4j with fedora
- imported package spatial4j

* Tue Dec 30 2014 daviddavid <daviddavid> 0.4.1-3.mga5
+ Revision: 807198
- rebuild for new sonatype-oss-parent

* Thu Dec 25 2014 dmorgan <dmorgan> 0.4.1-2.mga5
+ Revision: 805955
- imported package spatial4j


